package org.xbib.files.ftp.fs;

import java.util.Locale;
import java.util.ResourceBundle;

/**
 * A utility class for providing translated messages and exceptions.
 */
public final class FTPMessages {

    private static final ResourceBundle BUNDLE = ResourceBundle.getBundle("org.xbib.files.ftp.fs.messages", Locale.ROOT);

    private FTPMessages() {
        throw new Error("cannot create instances of " + getClass().getName());
    }

    private static synchronized String getMessage(String key) {
        return BUNDLE.getString(key);
    }

    public static String copyOfSymbolicLinksAcrossFileSystemsNotSupported() {
        return getMessage("copyOfSymbolicLinksAcrossFileSystemsNotSupported");
    }
}
